sap.ui.define(
    [
        'sap/ui/core/UIComponent',
        '<%= projectNamespaceAMD %>/model/models',
        'sap/ui/model/resource/ResourceModel',
    ],
    function(UIComponent, models) {
        'use strict';
        return UIComponent.extend('<%= projectNamespace %>.Component', {
            metadata: {
                manifest: 'json',
            },
            init: function() {
                // call the init function of the parent
                UIComponent.prototype.init.apply(this, arguments);
                // create the views based on the url/hash
                this.getRouter().initialize();

                // set the device model
                this.setModel(models.createDeviceModel(), 'device');
            },
            myNavBack: function() {
                var oHistory = sap.ui.core.routing.History.getInstance();
                var oPrevHash = oHistory.getPreviousHash();
                if (oPrevHash !== undefined) {
                    window.history.go(-1);
                } else {
                    this.getRouter().navTo('masterSettings', {}, true);
                }
            },

            getContentDensityClass: function() {
                if (!this._sContentDensityClass) {
                    if (!sap.ui.Device.support.touch) {
                        this._sContentDensityClass = 'sapUiSizeCompact';
                    } else {
                        this._sContentDensityClass = 'sapUiSizeCozy';
                    }
                }
                return this._sContentDensityClass;
            },
        });
    }
);
