[![Generator Community Repo][product-repo-logo-image]][product-repo-url]

# Contributor Covenant Code of Conduct

## Our Pledge

![Pledge][icon-pledge-image] In the interest of fostering an open and welcoming environment, we as contributors and maintainers pledge to making participation in our project and our community a harassment-free experience for everyone, regardless of age, body size, disability, ethnicity, gender identity and expression, level of experience, nationality, personal appearance, race, religion, or sexual identity and
orientation.

## Our Standards

![Equality][icon-equality-image] Contributing to open source software should be gratifying, rewarding, and fun. Open source software depends on a transparent and respectful community of people. Therefore, problematic behavior will be addressed swiftly, politely, and publicly, in order to send a signal to potential contributors that such behavior isn't typical or tolerated.

### Positive behavior

![Good decisions][icon-good-decision-image] Examples of behavior that contribute to creating a positive environment include:

* Using welcoming and inclusive language
* Being respectful of differing viewpoints and experiences
* Gracefully accepting constructive criticism
* Focusing on what is best for the community
* Showing empathy towards other community members

### Unacceptable behavior

![Bad decisions][icon-bad-decision-image] Examples of unacceptable participant behavior include:

* The use of sexualized language or imagery and unwelcome sexual attention or advances
* Trolling, insulting/derogatory comments, and personal or political attacks
* Public or private harassment
* Doxing, i.e., publishing others' private information, such as a physical or electronic address, without explicit permission
* Other conduct which could reasonably be considered inappropriate in a professional setting

## Our Responsibilities

![Investigation][icon-justice-image] Project maintainers are responsible for clarifying the standards of acceptable
behavior and are expected to take appropriate and fair corrective action in
response to any instances of unacceptable behavior.

Project maintainers have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, or to ban temporarily or permanently any contributor for other behaviors that they deem inappropriate, threatening, offensive, or harmful.

## Scope

![Scope][icon-globe-image] This Code of Conduct applies both within project spaces and in public spaces when an individual is representing the project or its community. Examples of representing a project or community include using an official project e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event. Representation of a project may be further defined and clarified by project maintainers.

## Enforcement

![Enforcement][icon-badge-image] Instances of abusive, harassing, or otherwise unacceptable behavior may be reported by **[contacting the team][team-email-mailto]**. All complaints will be reviewed and investigated and will result in a response that is deemed necessary and appropriate to the circumstances. The project team is obligated to maintain confidentiality with regard to the reporter of an incident. Further details of specific enforcement policies may be posted separately.

Project maintainers who do not follow or enforce the Code of Conduct in good faith may face temporary or permanent repercussions as determined by other members of the project's leadership.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant][homepage], version 1.4, available at [http://contributor-covenant.org/version/1/4][version].

---

Graphic art by [icons8](https://icons8.com/).

[homepage]: http://contributor-covenant.org
[icon-bad-decision-image]: ./img/icons8/icon-bad-decision-50.png
[icon-badge-image]: ./img/icons8/icon-badge-50.png
[icon-equality-image]: ./img/icons8/icon-equality-50.png
[icon-globe-image]: ./img/icons8/icon-globe-50.png
[icon-good-decision-image]: ./img/icons8/icon-good-decision-50.png
[icon-justice-image]: ./img/icons8/icon-justice-50.png
[icon-pledge-image]: ./img/icons8/icon-pledge-50.png
[product-repo-logo-image]: ./img/logo-commonalaxy.png
[product-repo-url]: https://github.com/commonality/generator-community
[team-email-mailto]: mailto:
[team-issues-url]: https://github.com/commonality/generator-community/issues/new
[version]: http://contributor-covenant.org/version/1/4/
